### Virtual Method

# Clutter Actor apply_transform

#### Declaration [src]

    void
    apply_transform (
      ClutterActor* actor,
      graphene_matrix_t* matrix
    )

#### Description [src]

Virtual function, used when applying the transformations to an actor before painting it or when transforming coordinates or the allocation; if the transformation calculated by this function may have changed, the cached transformation must be invalidated by calling clutter_actor_invalidate_transform(); it must chain up to the parent’s implementation.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  No description available.

  The data is owned by the caller of the method.